##### 7.7.8.0. mod2str

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  mod2str(M[,n]); M a module, n an optional integer

Return:
  string

Purpose:
  convert a module into a polynomial in free algebra

Note:
  if an optional integer is not 0, stars signs are used in multiplication

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y,z),(dp);
    module M = [1,x,y,x,y],[-2,y,x,y,x],[6,x,y,y,x,y];
    mod2str(M);
    ==> xyxy-2yxyx+6xyyxy
    mod2str(M,1);
    ==> x*y*x*y-2*y*x*y*x+6*x*y*y*x*y

User manual for Singular version 4-0-3, 2016, generated by texi2html.